Subject: [bug#40274] [PATCH v5] gnu: Add kernel-module-loader-service.

From: Brice Waegeneire <[email-masked]>
Date: Sat, 04 Apr 2020 17:58:09 +0000

Hello,

On 2020-04-03 10:20, Danny Milosavljevic wrote:
> On Thu, 02 Apr 2020 17:13:05 +0000
> Brice Waegeneire <[email-masked]> wrote:
>> #+begin_src scheme
>> (service modprobe-service-type
>>           (list (modprobe-entry
>>                  (module "ddcci")
>>                  (load? #t)
>>                  (options '("dyndbg" "delay=120"))
>>                  (alises '("ddc/ci"))
>>                  (install "")           ; default
>>                  (remove ""))           ; default
>>                 (modprobe-entry
>>                  (module "acpi-call")
>>                  (blacklist? #t))))
> 
> A service to do that would still be nice.  But maybe
> "kernel-module-configuration-service" ?

A lengthy one but a better one for sure.

> (Please don't think I have all the answers, let's see which way is 
> better)

I don't but you seems to have more answers than I have on this specific 
subject.
We are on the same page here, the best interface should be the one that 
get
merged!

As you suggested, I choose to go back to the list of string format. It 
simplified
the boilerplate a lot: no record and no helper function. Yet it still 
allows passing
arguments to modules by extending `etc-service-type` to create
"/etc/modprobe.d/*.conf" files, and avoids all the pitfalls of the 
previous method
you made me aware off.

As `kernel-module-loader-service-type` is extensible it would be 
possible, in an
other patch series, if the need arises, to create a 
`kernel-module-configuration-service`
centralizing loadable modules configuration. But like you noted it would 
be specific
to loadable modules and not built-in ones since `kernel-arguments` is 
just an OS
field, which AFAIK can't be influenced by a service.

Thank you for your help Danny.

- Brice